Page MenuHomePhabricator

Import from oldwikisource to dewikisource does not work
Closed, ResolvedPublic

Description

As a dewikisource admin i tried to import this page

https://wikisource.org/wiki/Page:An_Alle,_Alle!_Heft_1,_1919.djvu/1

via

https://de.wikisource.org/wiki/Spezial:Import

resulting in this error message (import error: source page could not be opened)

Is this a bug or did i do something wrong?

Event Timeline

Aschroet created this task.Jan 9 2017, 6:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2017, 6:42 PM

I get the same issue if I try to import it to enWS. The url of ..../wii/oldwikisource/Page:... works fine. I tried another page (random choice from RC) and it failed as well. I have no idea if it is a proofread page issue, or an issue with oldwikisource.

TTO added a subscriber: TTO.Jan 10 2017, 10:03 AM

Probably the source page, with all its revisions, is too big.

Does it work if you import without history? If so, this is the same as T17000 (yes, this issue really is that old).

@TTO

A Page: ns page will never have many revisions. a check of text against image, and usually got right quite quickly . Some will only ever have two in their life. Rarely more than 10.

Fails for non-proofread (3.5kb, one edit) picked a new page recently edited
Fails for proofread. [Noting that I don't have a parent index page in placed, though it shouldn't matter, as that just affects transclusion]

I am more thinking that it may be related to the ProofreadPage extension and strictures within that space, but that is just picking at dust motes. I am not even certain what the error means it cannot do

@TTO without all revisions it does not work as well. I get the same error message.

TTO added a comment.Jan 10 2017, 10:31 AM

Yeah, the error message is useless. I'll file a task about that.

https://wikisource.org/wiki/Special:Export/Page:An_Alle,_Alle!_Heft_1,_1919.djvu/1?history=1 shows only one revision. (Should have looked before I commented!)

I imported this to test2wiki (which has ProofreadPage installed) via XML file upload, and it worked fine: https://test2.wikipedia.org/wiki/Page:An_Alle,_Alle!_Heft_1,_1919.djvu/1. This makes me think something weird is going on with the transwiki importer.

@TTO Modified, though waiting for a check before asking for interwiki.php to be run.

BIG NOTE: Maybe we should be replacing oldwikisource with mul as that is built in to the system, not dependent on the manual interwiki map.

TTO added a subscriber: Krenair.Jan 10 2017, 2:02 PM

@TTO Modified, though waiting for a check before asking for interwiki.php to be run.

Looks good. Will ping @Krenair who usually does these.

BIG NOTE: Maybe we should be replacing oldwikisource with mul as that is built in to the system, not dependent on the manual interwiki map.

Maybe so. But once this issue is addressed, there shouldn't be any further problems with oldwikisource.

TTO added a comment.Jan 10 2017, 2:03 PM

OOPS no there is a problem...
OldWikisource || https:////wikisource.org/wiki/$1
Four slashes!

slashed the slashessss

Ankry added a subscriber: Ankry.Jan 10 2017, 3:23 PM
Ankry added a comment.Jan 10 2017, 4:34 PM
This comment was removed by Ankry.
Billinghurst added a comment.EditedJan 11 2017, 4:50 AM

@Aschroet the update to interwiki whenever it happens will resolve the immediate issue. I am think that it may be a more sustainable fix for deWS, enWS, and any other wiki that has "oldwikisource" mentioned to have their configuation settings changed to "mul" as that is set for the interwiki more internal to the code. Do you have any objections to me editing the title and the content to reflect that more sustainable fix? That it also reflects how we refer to the mtulti-language wikisource anyway.

That would be fixes in 'wgImportSources' for

  • bnwikisource
  • cswikisource
  • dewikisource
  • elwikisource
  • enwikisource
  • fiwikisource
  • lawikisource
  • mrwikisource
  • sawikisource
  • tawikisource

Leaving along enwikibooks and frrwiki as they cannot use the "mul" pronoun.

@Billinghurst, for me it is not clear what the suggested change causes. Could you please tell me what will be different for the "normal user"?

After T154225 has been resolved i could import the mentioned page.

TTO added a comment.EditedJan 12 2017, 8:45 AM

Try again and it should work.

Sorry, I misunderstood. I think this task is done.

TTO closed this task as Resolved.Jan 12 2017, 9:24 AM
TTO claimed this task.